import React, { useState } from 'react';
import { DatePicker } from 'antd';
import styles from './styles.less';
import { ApolloDateProps } from '../editInterface';
import { antiAssign } from '@/apollo-table/utils/utils';

const ApolloDate = (props: ApolloDateProps) => {
    const { onChange, emitTrigger, onEmitChange, showTime } = props;
    const selfProps = antiAssign(props, ['columnConfig', 'value', 'onChange', 'emitTrigger', 'onEmitChange']);
    let trigger = emitTrigger;
    if (showTime) {
        trigger = 'onOk';
    }
    const [value, setValue] = useState(props.value);
    const changeValue = (value, dateString) => {
        setValue(value);
        if (typeof onChange === 'function') {
            onChange(value, dateString);
        }
        if (!trigger || trigger === 'onChange') {
            emitChange(value);
        }
    };

    const emitChange = (value) => {
        if (typeof onEmitChange === 'function') {
            onEmitChange(value);
        }
    };
    const onOk = (value) => {
        emitChange(value);
    };
    if (trigger === 'onOk') {
        selfProps.onOk = onOk;
    }
    return (
        <div className={styles.container}>
            <DatePicker className={styles.date} {...selfProps} value={value} onChange={changeValue} />
        </div>
    );
};
export default ApolloDate;
